Package Details: manager-accounting 20.9.63-1

Git Clone URL: https://aur.archlinux.org/manager-accounting.git (read-only, click to copy)
Package Base: manager-accounting
Description: Manager is free accounting software for small business
Upstream URL: http://www.manager.io/
Keywords: accounting banking business finance invoice manager
Licenses: custom
Submitter: francoism90
Maintainer: jgmdev
Last Packager: jgmdev
Votes: 6
Popularity: 0.000000
First Submitted: 2015-08-31 15:06 (UTC)
Last Updated: 2020-09-29 19:27 (UTC)

Latest Comments

frank500 commented on 2021-11-03 23:17 (UTC)

@Karrq this discussion may be helpful for you, I used it to get Manager working.

https://forum.manjaro.org/t/how-do-i-downgrade-gtk3-and-remove-tracker3-to-get-manager-accounting-working/84972/7

testbird71 commented on 2021-11-03 13:28 (UTC)

Hello @Karrq i use the latest Version. In the Forum of Manager.io is a solution posted. Downgrade to gtk3-1:3.24.30-1-x86_64 and your data will open fine. https://forum.manager.io/t/appimage-does-not-work-crashes/37204/9

Karrq commented on 2021-11-03 12:23 (UTC)

@testbird71

I had trouble using the AppImage, when opening my data it would crash and on the terminal a stack smashing detection would trigger. What version are you using?

frank500 commented on 2021-10-11 23:58 (UTC)

I'm trying to install the latest version of Manager Accounting (21.10.13) by updating PKGBUILD and .SRCINFO to new pkgver (from 20.9.63 to 21.10.13) and changing "Manager.zip" to "Manager-Linux-x64.zip" to suit the new distribution changes. I also changed "ManagerDesktop.exe" to "ManagerDesktop" in /usr/bin/manager-accounting to suit new native executable.

The program doesn't run however, just nothing happens, no journal output. Does the new Manager Accounting distribution still require mono? I tried /usr/bin/manager-accounting with and without "exec /usr/bin/mono" but same result both ways. Can anyone offer any suggestions? Thanks!

jgmdev commented on 2021-01-28 22:52 (UTC) (edited on 2021-01-28 22:53 (UTC) by jgmdev)

I switched to an ARM64 system for the low power consumption (a HardKernel Odroid N2+) and last time I checked can't use the x86_64 Manager builds, since latest Manager distributed versions include .net environment compiled to manager in x86_64 binary format which breaks CPU cross compatibility meaning I can't use latest versions of Manager on AArch64 :( https://github.com/Manager-io/Manager.zip/issues/2 maybe I can add a co-maintainer to this package or disown it and I would create another manager package targeted at ARM/AArch64. Suggestions maintainers are welcome!

testbird71 commented on 2021-01-28 21:16 (UTC)

Hello jgmdev. I use the appimage from the Webpage, and it works very Well. Die you try it?

novica commented on 2021-01-28 14:56 (UTC)

@jgmdev any updates on packaging a more recent version ?

jgmdev commented on 2020-09-29 19:35 (UTC)

@novica It seems that manager developer did some distribution changes (by bundling the whole native .Net runtime) and latest desktop versions seem to only be packaged for x64. But .Net/Mono applications should be able to also run on ARM (aarch64) which is one of the machines I'm running it. For the moment I set the version to the latest one that still worked as before until I can inspect if it is possible to also run the latest versions on arm64.

novica commented on 2020-09-25 18:42 (UTC)

Currently installing fails with:

==> ERROR: Failure while downloading https://github.com/Manager-io/Manager.zip/releases/download/20.9.76/Manager.zip

jgmdev commented on 2020-07-21 17:56 (UTC) (edited on 2020-07-21 17:57 (UTC) by jgmdev)

@techandy1 The PKGBUILD automatically should fetch latest version from github but I did updated version number in .SRCINFO so aur helpers like yay can pick it up.

commented on 2020-07-17 18:38 (UTC)

This is the wrong version. The current version is 20.7.94. Here is the link https://github.com/Manager-io/Manager.zip/releases/20.7.94

jgmdev commented on 2020-01-26 22:06 (UTC)

@techandy1 Thanks for sharing a link to the new github releases repo. Since current version I have installed is working perfectly I didn't bothered to update and also I thought that only AppImage was available now (and people was using that which doesn't requires packaging...), but it seems Manager developer is also doing zip file releases on github which allowed me to update this PKGBUILD.

commented on 2020-01-26 19:33 (UTC)

the file even though it is .AppImage works when you set it to execute when you download it directly from here "https://github.com/Manager-io/Manager-x86_64.AppImage/releases/latest/download/Manager-x86_64.AppImage" Your PKGBUILD file is all messed up and is wrong.

commented on 2020-01-26 19:28 (UTC)

I have tried fixing you issues but your source is wrong, the haven't entered a valid version number and the file is not a deb package it is a .AppImage file.

commented on 2020-01-24 21:20 (UTC)

Package doesn't work, "pkgver is not allowed to be empty" Please fix. It's an easy fix.

testbird71 commented on 2019-11-07 15:06 (UTC)

Manager Accounting is now available as Appimage https://www.manager.io/download/

jgmdev commented on 2019-06-13 20:50 (UTC)

Manager website keeps changing, even if I try to make the package auto-update-able there is always a change that breaks the download, anyways, should be working again for the moment :)

testbird71 commented on 2019-06-11 12:36 (UTC)

I get an error too "pkgver is not allowed to be empty, and somethink is wrong with the url. New Version 19.6.22

jgmdev commented on 2019-05-16 00:03 (UTC)

Should package properly now, some changes where made again to manager website which caused the breakage, including the removal of manager-accounting.zip

testbird71 commented on 2019-05-14 10:55 (UTC)

I get an error too "pkgver is not allowed to be empty" Can you fix it please?

sjmcl commented on 2019-05-14 10:13 (UTC)

I get an error "pkgver is not allowed to be empty". Any suggestions? Thanks

ArjenRR commented on 2019-05-02 09:26 (UTC)

Hi, thank you for this package. Are you aware that there is an easier way to get the currently release version? curl -s https://www.manager.io/version.txt

And to retrieve the latest source: curl -O https://d2ap5zrlkavzl7.cloudfront.net/$(curl -s https://www.manager.io/version.txt)/ManagerServer.tar.gz

jgmdev commented on 2018-12-10 16:33 (UTC)

Added auto detection of manager-accounting.zip download url from the manager website, making the PKGBUILD future proof for possible url changes that still match the manager-accounting.zip scheme.

testbird71 commented on 2018-12-10 12:30 (UTC)

@Chazoshtare thx for the comment, it works.

Chazoshtare commented on 2018-12-10 12:17 (UTC)

amazonaws source link is not available anymore. Newest manager source package is hosted on https://d2ap5zrlkavzl7.cloudfront.net/18.11.66/manager-accounting.zip and this link has to be used in PKGBUILD instead.

testbird71 commented on 2018-12-04 12:27 (UTC)

Unable to update or install in this moment

https://mngr.s3.amazonaws.com/18.11.62/manager-accounting.zip The requested URL returned error: 403 Forbidden

jgmdev commented on 2018-10-20 03:05 (UTC)

Since the library that provides a .Net wrapper to sqlite3 changed how it works, the sqlite3.c file was removed from main repo. I pointed the sqlite3.c to a previous commit but this changes may break manager-accounting in the future. So this comment may serve as a reminder that in the future manager-accounting may start using this new library version and the sqlite3.c file may not be needed or something else may have to be worked out. This comment should serve as a reminder from when that time comes :)

rubixhelix commented on 2018-10-19 13:33 (UTC)

hi, i'm getting an error with this when it goes to dl sqlite3... i sent an email in to jgmdev...

webx123 commented on 2018-10-12 04:51 (UTC)

======== ./PKGBUILD: line 63: gcc: command not found ========

Hi, i got that error and had to include 'gcc' to makedepends. Btw, it's a freshly installed Manjaro so gcc wasn't there yet.

testbird71 commented on 2018-04-11 16:01 (UTC)

@jgmdev @ yotux i can confirm you can uninstall webkitgtk2. Thank you nice work

jgmdev commented on 2018-04-09 16:12 (UTC)

@yotux I uninstalled webkitgtk2 and it still works, maybe it now uses webkit2gtk but I haven't tested that, you could try installing webkit2gtk and let me know if it works for you after that so I can add the additional dependency.

yotux commented on 2018-04-08 15:56 (UTC) (edited on 2018-04-08 15:58 (UTC) by yotux)

@jgmdev Installed today and I am getting an error about libwebkit2gtk-4.0 is this still req. to manually be compiled since it been removed from repos? Have a photo at this link https://bit.ly/2H5cEez (Fixed) I installed extra/webkit2gtk 2.20.0-2 and it now works. Is this not a Dependency flagged in the build?

jgmdev commented on 2018-04-05 14:16 (UTC)

@stefops Thanks for the hint, I updated the dependencies. It seems less is needed now...

testbird71 commented on 2018-04-05 12:57 (UTC)

@stefops, thank you very much, that fixed the problem. :)

stefops commented on 2018-04-05 12:04 (UTC)

testbird71 install community/gtk-sharp-3 2.99.3-1 this should have been in depend

testbird71 commented on 2018-04-05 11:37 (UTC)

Update to the new Version shows a new Problem.

manager-accounting

Unhandled Exception: System.InvalidOperationException: Could not detect platform. Are you missing a platform assembly? at Eto.Platform.get_Detect () [0x000d5] in <6db481985cca4510b36c8dbd12852b82>:0 at Eto.Forms.Application..ctor () [0x00000] in <6db481985cca4510b36c8dbd12852b82>:0 at ManagerDesktop.Program.Main (System.String[] args) [0x00024] in <543208f8cdbb4823ad45900027f44378>:0 [ERROR] FATAL UNHANDLED EXCEPTION: System.InvalidOperationException: Could not detect platform. Are you missing a platform assembly? at Eto.Platform.get_Detect () [0x000d5] in <6db481985cca4510b36c8dbd12852b82>:0 at Eto.Forms.Application..ctor () [0x00000] in <6db481985cca4510b36c8dbd12852b82>:0 at ManagerDesktop.Program.Main (System.String[] args) [0x00024] in <543208f8cdbb4823ad45900027f44378>:0

A downgrade to a older Version works nice

jgmdev commented on 2018-04-04 14:14 (UTC)

@RemoteAdmin Fixed

RemoteAdmin commented on 2018-03-31 05:12 (UTC)

Package cannot be build anymore.

The command for the pkgver now returns two versions, leading to an invalid source url

curl: (3) Illegal characters found in URL
==> ERROR: Failure while downloading https://mngr.s3.amazonaws.com/18.3.43
18.3.43/manager-accounting.zip
    Aborting...
==> ERROR: Could not download sources.

willspoke commented on 2017-12-18 23:04 (UTC)

webkitgtk has been updated today in AUR. It has installed properly, and I was able to launch Manager without an issue. I believe that this new version also has an included patch for Enchant.

testbird71 commented on 2017-12-18 17:58 (UTC)

Since the update from my system it works on my laptop again, but i don´t know how. [2017-12-16 14:57] [ALPM] upgraded webkit2gtk (2.18.3-2 -> 2.18.3-3)

Jippie

stefops commented on 2017-12-13 09:07 (UTC)

I can confirm recompiling webkitgtk2 on ArchLinux(on my laptop during night) worked for me.

testbird71 commented on 2017-12-13 00:17 (UTC)

it doesn not work on my laptop, i have deinstalled manager-accounting with all depencies. Shutdown my laptop and start again. Then i installed the webkitgtk package, after that manager-accounting. But the error is the same. Must i install Manjaro again?

jgmdev commented on 2017-12-12 15:44 (UTC)

@testbird71

I would advice you to use this repo: https://wiki.archlinux.org/index.php/unofficial_user_repositories#aur-archlinux

or download the package directly from it: https://repo.itmettke.de/aur/aur-archlinux/x86_64/webkitgtk2-2.4.11-6.1-x86_64.pkg.tar.xz

and install with pacman -U webkitgtk2-2.4.11-6.1-x86_64.pkg.tar.xz

testbird71 commented on 2017-12-12 14:04 (UTC)

On my Laptop it does not work, the compile need 13h and failed with this error. libtool: error: error: relink 'libwebkitgtk-1.0.la' with the above command before installing it.

willspoke commented on 2017-12-11 23:35 (UTC)

I have patched and rebuilt webkitgtk. After doing this, manager installs properly and is up and running. Thank you for finding the solution to this issue.

jgmdev commented on 2017-12-11 18:44 (UTC)

@testbird71 This repo has freshly pre-built webkitgtk packages: https://wiki.archlinux.org/index.php/unofficial_user_repositories#aur-archlinux

But yes, webkitgtk is a huge library that takes a lot of hours to build...

testbird71 commented on 2017-12-11 15:28 (UTC) (edited on 2017-12-11 15:39 (UTC) by testbird71)

Is it normaly, that the compile is working over 5h?

Oh it was ready, it works, jipie i am happy.

jgmdev commented on 2017-12-11 13:54 (UTC)

It is this package that you need to rebuild/reinstall: https://aur.archlinux.org/packages/webkitgtk2/

As I explained before recent archlinux updates broke dependencies required by the installed build of webkitgtk2 so it needs to be rebuilded so it can properly link to newer library versions.

testbird71 commented on 2017-12-11 10:47 (UTC)

Delete the Pachage and installed Manager-Accounting again, and i have the same ERROR! I thing it is becouse yaourt installes the old package https://aur.archlinux.org/packages/webkit-sharp

What can i do to fix it.

17.12.10: System.InvalidOperationException: GTK WebView is only supported on Linux, and requires webkit-sharp at Eto.GtkSharp.Forms.Controls.WebViewHandler..ctor () [0x00045] in <d09493bb3252413b88d0fed772f6fc9b>:0 at Eto.GtkSharp.Platform.<addto>b__37 () [0x00000] in <d09493bb3252413b88d0fed772f6fc9b>:0 at Eto.Widget..ctor () [0x0006c] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.BindableWidget..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.Control..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.WebView..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at ManagerDesktop.WebView..ctor () [0x00000] in <9f868a079723493a99e0aaedc5b4dc34>:0 at ManagerDesktop.Program.Main (System.String[] args) [0x001e8] in <9f868a079723493a99e0aaedc5b4dc34>:0 </d09493bb3252413b88d0fed772f6fc9b></addto></d09493bb3252413b88d0fed772f6fc9b>

jgmdev commented on 2017-12-11 01:31 (UTC)

My machine finally finished building the webkitgtk2 package which I re-installed and I can confirm that manager is now working properly. So for anyone that had the:

... System.InvalidOperationException: GTK WebView is only supported on Linux, and requires webkit-sharp at Eto.GtkSharp.Forms.Controls.WebViewHandler..ctor () [0x00045] in <d09493bb ...

error message, just rebuild and reinstall the webkitgtk2 package :)

jgmdev commented on 2017-12-10 01:39 (UTC)

I was able to connect a tv antenna to my older samsung galaxy s3 with some terminals that I ordered and now I have some (slow but working) internet.

After upgrading my laptop installation of archlinux I also started suffering the error message with manager. I started inspecting the dependencies of webkit-sharp and discovered that recent library updates on archlinux broke the webkitgtk2 package.

I'm still rebuilding locally the webkitgtk2 package which should fix the manager issue, but as my laptop is slower than my main desktop this build could take several hours for me to test... Anyways, anyone having this issue, I would recommend to rebuild the webkitgtk2 package following the changes necessary on the comments section of that aur package for a successful build, since this most certainly should fix the problem.

testbird71 commented on 2017-12-03 10:49 (UTC)

I read your comment and was very shocked. I hope you, your family and Friends are fine. Surely your Situation has priority, it will be able to wait a few more days.

Greetings from Germany

willspoke commented on 2017-12-01 06:21 (UTC)

Thank you for finding a way to send a response, despite the difficulties that Puerto Rico is going through. I am glad that you are safe. Be well.

jgmdev commented on 2017-11-30 19:04 (UTC)

For the moment Im having difficulties to use the internet since A hurricane category 5 (huge cyclone) hit the island (Puerto Rico) where I live and the whole population is struggling to stand back up. So communications are bad, electricity is gone in most of the island. I hope I'm able to update most of the packages I maintain at some time. Sorry for this situation :(

testbird71 commented on 2017-11-28 13:11 (UTC)

i hope someone can fix this problem very fast. So as i read is it a security problem with webkitgtk version 1 and 3 and someone must port this to the new version. @jgmdev can you write a comment if you are working on a fix, thank you.

testbird71 commented on 2017-11-27 14:23 (UTC)

today i have the same problem to start manager-accounting. 17.11.31: System.InvalidOperationException: GTK WebView is only supported on Linux, and requires webkit-sharp at Eto.GtkSharp.Forms.Controls.WebViewHandler..ctor () [0x00045] in <d09493bb3252413b88d0fed772f6fc9b>:0 at Eto.GtkSharp.Platform.<AddTo>b__37 () [0x00000] in <d09493bb3252413b88d0fed772f6fc9b>:0 at Eto.Widget..ctor () [0x0006c] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.BindableWidget..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.Control..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.WebView..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at ManagerDesktop.WebView..ctor () [0x00000] in <bd1b3ab8295248159b99900336ffe2e8>:0 at ManagerDesktop.Program.Main (System.String[] args) [0x001e8] in <bd1b3ab8295248159b99900336ffe2e8>:0 Oh that is a trouble, i need this Application..grrrrrrrr

stefops commented on 2017-11-27 09:40 (UTC)

I do have the same problem. Started about a month ago.

willspoke commented on 2017-11-24 17:32 (UTC) (edited on 2017-11-25 01:55 (UTC) by willspoke)

I removed the installation folder, and tried again. The new error I am receiving is: :: Installing manager-accounting package(s)... :: manager-accounting package(s) failed to install. :: ensure package version does not mismatch between .SRCINFO and PKGBUILD :: ensure package name has a VCS suffix if this is a devel package :: webkit-sharp is now an orphan package EDIT: I was able to install the package, as I was using pacaur when this error above was happening. But at app launch there is an error window complaining about webkit-sharp being needed, although it is already installed. 17.11.29: System.InvalidOperationException: GTK WebView is only supported on Linux, and requires webkit-sharp at Eto.GtkSharp.Forms.Controls.WebViewHandler..ctor () [0x00045] in <d09493bb3252413b88d0fed772f6fc9b>:0 at Eto.GtkSharp.Platform.<AddTo>b__37 () [0x00000] in <d09493bb3252413b88d0fed772f6fc9b>:0 at Eto.Widget..ctor () [0x0006c] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.BindableWidget..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.Control..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at Eto.Forms.WebView..ctor () [0x00000] in <2c3b8fa69720444b9de0309b3a5e40aa>:0 at ManagerDesktop.WebView..ctor () [0x00000] in <056e339a1187471cbd47f115f0e9f382>:0 at ManagerDesktop.Program.Main (System.String[] args) [0x001e8] in <056e339a1187471cbd47f115f0e9f382>:0

testbird71 commented on 2017-11-24 12:14 (UTC)

Version 17.11.28-1 installed, no problem on my Laptop and Deskotp. Manjaro Linux ==> Von manager-accounting benötigt: - mono (bereits installiert) - gtk2 (bereits installiert) - gtk-sharp-2 (bereits installiert) - webkit-sharp (bereits installiert) - unzip (bereits installiert) [makedepend]

lswest commented on 2017-11-24 10:25 (UTC)

Anyone else getting a webkit-sharp error when running manager-accounting? I've made sure webkit-sharp is up to date. 17.11.21: System.InvalidOperationException: GTK WebView is only supported on Linux, and requires webkit-sharp

willspoke commented on 2017-11-05 06:03 (UTC)

I am receiving an error on install: cp: cannot stat 'opt/manager-accounting': No such file or directory ==> ERROR: A failure occurred in package(). Aborting... :: failed to build manager-accounting package(s) Is there any way to fix this?

testbird71 commented on 2017-09-04 09:50 (UTC)

Thank you very much for your help.

jgmdev commented on 2017-09-02 14:39 (UTC)

@testbird71 The download url now uses the software version as part of its path so I had to change the old strategy of retreiving the software version, got to get creative... but now is working again.

testbird71 commented on 2017-09-02 10:22 (UTC)

Can it be that we are behind the updates again? According to manager.io, the latest version is already a 17.9.0. When i start to update, the 17.6.67 is the last Version of Zip file.

testbird71 commented on 2017-07-28 08:31 (UTC)

Thank you for fixing the package. Thank you for replay.

jgmdev commented on 2017-07-28 04:25 (UTC)

@testbird71 I was out for some time, the issue should be fixed, it only was that manager is now packaged in .xz instead of .gz @ShalokShalom Last time I tried webkit2-sharp it didn't worked, maybe theres a way but im not a .Net/Mono expert and I'm not sure that webkit2-mono has a fully compatible interface to previous version.

testbird71 commented on 2017-07-25 22:35 (UTC)

No replay?

testbird71 commented on 2017-07-19 11:54 (UTC)

I can´t update today, can you check that ? ==> Erstelle und installiere Paket ==> Erstelle Paket: manager-accounting 17.4.43-1 (Mi 19. Jul 13:53:20 CEST 2017) ==> Prüfe Laufzeit-Abhängigkeiten... ==> Prüfe Buildtime-Abhängigkeiten... ==> Empfange Quellen... -> LICENSE gefunden -> Lade manager-accounting.zip herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 7604k 100 7604k 0 0 2546k 0 0:00:02 0:00:02 --:--:-- 2545k -> Lade sqlite3.c herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 6936k 100 6936k 0 0 2321k 0 0:00:02 0:00:02 --:--:-- 2321k ==> Überprüfe source Dateien mit sha256sums... LICENSE ... Durchgelaufen manager-accounting.zip ... Übersprungen sqlite3.c ... Übersprungen ==> Entpacke Quellen... -> Entpacke manager-accounting.zip mit bsdtar ==> Beginne prepare()... sha256sum: manager-accounting_17.7.35.tar.gz: Datei oder Verzeichnis nicht gefunden ==> FEHLER: Ein Fehler geschah in prepare(). Breche ab... ==> FEHLER:Makepkg konnte manager-accounting nicht erstellen. ==> Erstellen von manager-accounting neu starten?[j/N] ==> --------------------------------------------------

ShalokShalom commented on 2017-07-14 08:21 (UTC)

Is it secure, to use webkit-sharp, which depends on a outdated version of webkitgtk? Can we use webkit2-sharp bindings and with that, GTK3? I mean, if that one is not supported by the software, should is not be considered as secure at all. The company give also no option to contact them in a secure way.

jgmdev commented on 2017-04-18 14:51 (UTC)

Fixed the patching issue by using sed to patch the needed files instead of a patch file. This should be more future proof.

ganlub commented on 2017-04-06 09:12 (UTC)

Same problem here. As @t.ask said, using Yaourt and pressing 'Enter' when it shows "patching file usr/share/applications/manager-accounting.desktop" makes it work. First time I need to use Yaourt to install something.

t-ask commented on 2017-04-02 11:52 (UTC) (edited on 2017-04-02 12:43 (UTC) by t-ask)

I guess, the issue was 'locale' setting related. Whereas, it works with yaourt (not with pacaur) by pressing 'Enter' when it shows "patching file usr/share/applications/manager-accounting.desktop". Maybe you can fix this or insert an echo msg just to give a bit of guidance.

testbird71 commented on 2017-03-31 13:04 (UTC)

i update my 3rd machine, it stops shortly after ---patching file...i enter and the next step begin to build and it is done. No Problems. Manjaro Linux with lastest Updates.

testbird71 commented on 2017-03-31 12:51 (UTC)

Today i update to of my machines without problems, the new Version is 17.3.20 Is your System up to date? Which System are you using?

t-ask commented on 2017-03-30 12:56 (UTC) (edited on 2017-03-30 12:58 (UTC) by t-ask)

Somehow the installation 'freezes' after: ==> Validating source files with sha256sums... LICENSE ... Passed fix-path.patch ... Passed manager-accounting.zip ... Skipped sqlite3.c ... Skipped

jgmdev commented on 2017-01-31 21:21 (UTC)

@testbird71 Fixed and working, also I had to add webkit-sharp to aur because it was removed from main archlinux repo and replaced with webkit2-sharp, maybe because not many applications are making use of it.

testbird71 commented on 2017-01-31 15:20 (UTC)

Hello again, the problem with sqlite is back again. greatings hanny

testbird71 commented on 2016-12-09 17:45 (UTC)

Mh,i have a bug by import my business, i have send a email with screenshot to manager.io.

testbird71 commented on 2016-12-09 17:32 (UTC)

The Update works and i am very happy about this. Thanks

testbird71 commented on 2016-12-09 17:22 (UTC)

OH, if i have added a deletion request that was not what i want. I am sorry about this. And sorry for my bad englisch. Can you delete the "deletion request" Thanks for help and thanks for reporting in the manager io forum. i will test the update.

jgmdev commented on 2016-12-09 16:31 (UTC)

@testbird71 the issue should be resolved now, and I didn't asked but why did you added a deletion request??? that's not the best way to resolve an issue.

jgmdev commented on 2016-12-07 13:59 (UTC)

@testbird71 this seems to be an upstream issue and has been reported https://forum.manager.io/t/manager-does-not-start-after-recent-update-on-ubuntu/7950 for the moment the developer of manager seems to be investigating.

testbird71 commented on 2016-12-06 12:23 (UTC)

All Updates will work fine up to Version 16.12.0. The newest Version 16.12.15 and above will not work because there is a Problem wiht new implemented sqlite. Can you make a new Package Build to fix the Problem?

jgmdev commented on 2016-09-17 17:33 (UTC)

errrmm, noticed this package was orphaned so adopted and fixed, now it should be working.

jgmdev commented on 2016-09-17 16:13 (UTC)

I fixed the PKGBUILD so it doesn't depends on the version.txt file to get the current manager version, instead it uses a regular expression to get the version from the .dsc file extracted from manager-accounting.zip, also I updated the download location since previous wasn't working anymore. Please update the PKGBUILD if possible: https://gist.github.com/jgmdev/845c71219a5b3b198ae78212c73a6e8d

testbird71 commented on 2016-05-23 16:46 (UTC)

I need the Updates for this Programm. Please

testbird71 commented on 2016-04-13 13:34 (UTC)

Only if i change the Versions Nr. of the pkbuild the new Version will be downloading and installed. yaourt -S manager-accounting => Mit dem Erstellen von manager-accounting fortfahren?[J/n] ==> --------------------------------------------------------- ==> j ==> Erstelle und installiere Paket ==> Erstelle Paket: manager-accounting 16.3.69-1 (Mi 13. Apr 15:30:27 CEST 2016) ==> Prüfe Laufzeit-Abhängigkeiten... ==> Prüfe Buildtime-Abhängigkeiten... ==> Empfange Quellen... -> LICENSE gefunden -> fix-path.patch gefunden -> Lade version.txt herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 7 100 7 0 0 23 0 --:--:-- --:--:-- --:--:-- 23 -> Lade manager-accounting.zip herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 1965k 100 1965k 0 0 472k 0 0:00:04 0:00:04 --:--:-- 472k ==> Überprüfe source Dateien mit sha256sums... LICENSE ... Durchgelaufen fix-path.patch ... Durchgelaufen version.txt ... Übersprungen manager-accounting.zip ... Übersprungen ==> Entpacke Quellen... -> Entpacke manager-accounting.zip mit bsdtar ==> Beginne prepare()... manager-accounting/usr/ manager-accounting/usr/share/ manager-accounting/usr/share/applications/ manager-accounting/usr/share/applications/manager-accounting.desktop manager-accounting/usr/share/icons/ manager-accounting/usr/share/icons/hicolor/ manager-accounting/usr/share/icons/hicolor/128x128/ manager-accounting/usr/share/icons/hicolor/128x128/apps/ manager-accounting/usr/share/icons/hicolor/128x128/apps/manager-accounting.png manager-accounting/usr/share/icons/hicolor/64x64/ manager-accounting/usr/share/icons/hicolor/64x64/apps/ manager-accounting/usr/share/icons/hicolor/64x64/apps/manager-accounting.png manager-accounting/usr/share/icons/hicolor/16x16/ manager-accounting/usr/share/icons/hicolor/16x16/apps/ manager-accounting/usr/share/icons/hicolor/16x16/apps/manager-accounting.png manager-accounting/usr/share/icons/hicolor/32x32/ manager-accounting/usr/share/icons/hicolor/32x32/apps/ manager-accounting/usr/share/icons/hicolor/32x32/apps/manager-accounting.png manager-accounting/debian/ manager-accounting/debian/changelog manager-accounting/debian/control manager-accounting/debian/rules manager-accounting/debian/compat manager-accounting/debian/lintian-overrides manager-accounting/debian/copyright manager-accounting/debian/source/ manager-accounting/debian/source/format manager-accounting/debian/install manager-accounting/opt/ manager-accounting/opt/manager-accounting/ manager-accounting/opt/manager-accounting/manager-accounting manager-accounting/opt/manager-accounting/LumenWorks.Framework.IO.dll manager-accounting/opt/manager-accounting/ManagerDesktop.exe manager-accounting/opt/manager-accounting/protobuf-net.dll manager-accounting/opt/manager-accounting/DotLiquid.dll manager-accounting/opt/manager-accounting/ManagerExtensions.dll manager-accounting/opt/manager-accounting/Manager.dll manager-accounting/opt/manager-accounting/Eto.Gtk2.dll manager-accounting/opt/manager-accounting/ManagerServer.exe manager-accounting/opt/manager-accounting/Eto.dll manager-accounting/opt/manager-accounting/FluentValidationNA.dll manager-accounting/opt/manager-accounting/HttpFramework.dll patching file opt/manager-accounting/manager-accounting patching file usr/share/applications/manager-accounting.desktop ==> Beginne pkgver()... ==> Betrete fakeroot Umgebung... ==> Beginne package()... ==> Säubere Installation... -> Entferne libtool Dateien... -> Bereinige ungewollte Dateien... -> Entferne statische Bibliotheken... -> Entferne unnötige Symbole aus Binär-Dateien und Bibliotheken... -> Komprimiere Man-Pages und Info-Seiten... ==> Prüfe auf Paketierungsprobleme... ==> Erstelle Paket "manager-accounting"... -> Erstelle .PKGINFO Datei... -> Erstelle .BUILDINFO Datei... -> Füge install Datei hinzu... -> Erstelle .MTREE-Datei... -> Komprimiere Paket... ==> Verlasse fakeroot Umgebung. ==> Beendete Erstellung: manager-accounting 16.3.69-1 (Mi 13. Apr 15:30:36 CEST 2016) ==> Räume auf... ==> Exportiere manager-accounting nach Verzeichnis /var/cache/pacman/pkg/ [sudo] Passwort für marika: '/tmp/yaourt-tmp-marika/PKGDEST.RDe/manager-accounting-16.3.69-1-x86_64.pkg.tar.xz' -> '/var/cache/pacman/pkg/manager-accounting-16.3.69-1-x86_64.pkg.tar.xz' ==> Mit der Installation von manager-accounting fortfahren? [J/n] ==> [I]nhalte des Pakets ansehen [P]aket mit Namcap überprüfen ==> ---------------------------------------------------------- ==> j Lade Pakete... Löse Abhängigkeiten auf... Suche nach in Konflikt stehenden Paketen... Pakete (1) manager-accounting-16.3.69-1 Gesamtgröße der installierten Pakete: 6,17 MiB Größendifferenz der Aktualisierung: 0,02 MiB :: Installation fortsetzen? [J/n] j (1/1) Prüfe Schlüssel im Schlüsselring [######################] 100% (1/1) Überprüfe Paket-Integrität [######################] 100% (1/1) Lade Paket-Dateien [######################] 100% (1/1) Prüfe auf Dateikonflikte [######################] 100% (1/1) Überprüfe verfügbaren Festplattenspeicher [######################] 100% :: Verarbeite Paketänderungen... (1/1) Aktualisiere manager-accounting [######################] 100%

testbird71 commented on 2016-04-13 13:29 (UTC)

yaourt -S manager-accounting == Lade PKGBUILD von manager-accounting aus dem AUR herunter... x .SRCINFO x LICENSE x PKGBUILD x fix-path.patch x manager-accounting.install (now i missing the Text file with the new Version Number) It will be not Updating on this way. francoism90 commented on 2016-04-12 19:30 @testbird97: don't edit the PKG! Simple reinstall the package.. version is upgrade automatically, not in pkgver .. version.txt isn't in the source.. please just do a reinstall.. in your case: yaourt -S manager-accounting manager-accounting 15.6.86-1 (2015-11-24 21:44) (Nicht unterstütztes Paket: Potenziell gefährlich!) ==> PKGBUILD bearbeiten? [J/n] („A“ zum Abbrechen) ==> ---------------------------------------------- ==> n ==> Von manager-accounting benötigt: - mono (bereits installiert) - gtk2 (bereits installiert) - gtk-sharp-2 (bereits installiert) - webkit-sharp (bereits installiert) - unzip (bereits installiert) [makedepend] ==> manager-accounting.install bearbeiten? [J/n] („A“ zum Abbrechen) ==> ---------------------------------------------------------------- ==> n ==> Mit dem Erstellen von manager-accounting fortfahren?[J/n] ==> --------------------------------------------------------- ==> j ==> Erstelle und installiere Paket ==> Erstelle Paket: manager-accounting 15.6.86-1 (Mi 13. Apr 15:28:37 CEST 2016) ==> Prüfe Laufzeit-Abhängigkeiten... ==> Prüfe Buildtime-Abhängigkeiten... ==> Empfange Quellen... -> LICENSE gefunden -> fix-path.patch gefunden -> Lade version.txt herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 7 100 7 0 0 13 0 --:--:-- --:--:-- --:--:-- 13 -> Lade manager-accounting.zip herunter... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 1965k 100 1965k 0 0 500k 0 0:00:03 0:00:03 --:--:-- 500k ==> Überprüfe source Dateien mit sha256sums... LICENSE ... Durchgelaufen fix-path.patch ... Durchgelaufen version.txt ... Übersprungen manager-accounting.zip ... Übersprungen ==> Entpacke Quellen... -> Entpacke manager-accounting.zip mit bsdtar ==> Beginne prepare()... sed: kann manager-accounting_15.6.86.dsc nicht lesen: Datei oder Verzeichnis nicht gefunden ==> FEHLER: Ein Fehler geschah in prepare(). Breche ab... ==> FEHLER:Makepkg konnte manager-accounting nicht erstellen. ==> Erstellen von manager-accounting neu starten?[j/N] ==> -------------------------------------------------- ==>

francoism90 commented on 2016-04-12 19:30 (UTC) (edited on 2016-04-12 19:31 (UTC) by francoism90)

@testbird97: don't edit the PKG! Simple reinstall the package.. version is upgrade automatically, not in pkgver .. version.txt isn't in the source.. please just do a reinstall.. in your case: yaourt -S manager-accounting

testbird71 commented on 2016-04-12 11:55 (UTC)

How can i make the reinstall or upgrade? yaourt -Ss manager-accounting aur/manager-accounting 15.6.86-1 [installed: 16.3.58-1] (2) (0,90) Manager is free accounting software for small business yaourt -U manager-accounting unable to read manager-accounting. yaourt -S manager-accounting ==> Lade PKGBUILD von manager-accounting aus dem AUR herunter... x .SRCINFO x LICENSE x PKGBUILD x fix-path.patch x manager-accounting.install (now i missing the Text file with the new Version Number) It will be not Updating on this way.

francoism90 commented on 2016-04-11 17:29 (UTC) (edited on 2016-04-11 17:30 (UTC) by francoism90)

@testbird71: it should not be needed (changing the version). Could you try just to wait for a day and reinstall the package? This should trigger an update. See: http://download.manager.io/version.txt When this number changes, do a reinstall, .. the package should be upgraded to that number. ;)

testbird71 commented on 2016-04-11 13:32 (UTC)

Hello, 1. i unintalled the old package. 2. search in Yaourt manager accounting and beginn the intall routine with the terminal. 3. i edit the pkgbuild, in the first line with the Versions Number of the Text File from the temp folder 4. i installed the package. Internetseite/URL http://www.manager.io/ Version 16.3.58-1 Lizenzen custom Hängt ab von mono gtk2 gtk-sharp-2 webkit-sharp Größe des Downloads 0.00 Bytes Größe bei Installation 6.15 MiB Packager Unknown Packager Architektur x86_64 Bild Datum Sa. - 09/04/2016 16:53:10

francoism90 commented on 2016-04-09 20:37 (UTC)

@testbird71: Thanks for testing. :) I will change try to change the name or reupload with the -dev prefix. You shouldn't need to update the version, since $pkgver is updated each time. How did you upgrade?

testbird71 commented on 2016-04-09 16:48 (UTC)

Hello francoism90, i did reinstalled the package and it works if i edit the versions number in the package build. Thank you for help, do you think there would be a possibility to automatically update? Have a nice weekend:)

testbird71 commented on 2016-04-05 11:43 (UTC)

Hello, I have installed this Programm on Manjaro 15.12 Capella, and need the new Updates for this programm. Can Someone please help me?